Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class EnumValueHandler

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
          org.apache.openjpa.jdbc.meta.strats.EnumValueHandler

All Implemented Interfaces:
  Serializable, ValueHandler

    public class EnumValueHandler

extends AbstractValueHandler

Value handler for JDK1.5 enum field types.

See Also:
  Serialized Form

Constructor Summary
`EnumValueHandler()`

Method Summary
`boolean` | `getStoreOrdinal()` Whether to store the enum value as its ordinal.
`boolean` | `isVersionable()`
`Column[]` | `map(ValueMapping vm, DBIdentifier name, ColumnIO io, boolean adapt)`
`Column[]` | `map(ValueMapping vm, String name, ColumnIO io, boolean adapt)` Deprecated.
`void` | `setStoreOrdinal(boolean ordinal)` Whether to store the enum value as its ordinal.
`Object` | `toDataStoreValue(ValueMapping vm, Object val, JDBCStore store)` Translate the given value to its datastore equivalent.
`Object` | `toObjectValue(ValueMapping vm, Object val)` Translate the given datastore value into its Java equivalent.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
`getResultArgument, isVersionable, objectValueRequiresLoad, toObjectValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumValueHandler

    public EnumValueHandler()

Method Detail

### getStoreOrdinal

    public boolean getStoreOrdinal()

  Whether to store the enum value as its ordinal.

### setStoreOrdinal

    public void setStoreOrdinal(boolean ordinal)

  Whether to store the enum value as its ordinal.

### map

    public Column[] map(ValueMapping vm,
                        String name,
                        ColumnIO io,
                        boolean adapt)

  Deprecated.

  Description copied from interface: `ValueHandler`
  Map the given value and return all mapped columns, or simply return an array of unmapped default columns. The columns should have at least their `Name` and `JavaType` properties set.

    `name` - use as a base to form column name(s); the column names of unmapped columns will automatically be made to fit database limitations
    `io` - I/O information about mapped columns; you do not have to set this information if returning templates
    `adapt` - whether to adapt the mapping or schema

### map

    public Column[] map(ValueMapping vm,
                        DBIdentifier name,
                        ColumnIO io,
                        boolean adapt)

### isVersionable

    public boolean isVersionable()

### toDataStoreValue

    public Object toDataStoreValue(ValueMapping vm,
                                   Object val,
                                   JDBCStore store)

  Description copied from interface: `ValueHandler`
  Translate the given value to its datastore equivalent. If this value occupies multiple columns, return an object array with one element per column. For relation id columns, return the state manager the column depends on.

  Specified by:
    `toDataStoreValue` in interface `ValueHandler`
  Overrides:
    `toDataStoreValue` in class `AbstractValueHandler`

### toObjectValue

    public Object toObjectValue(ValueMapping vm,
                                Object val)

  Description copied from interface: `ValueHandler`
  Translate the given datastore value into its Java equivalent. If the value occupies multiple columns, the given object will be an object array with one entry per column. This method is only called if `ValueHandler.objectValueRequiresLoad(org.apache.openjpa.jdbc.meta.ValueMapping)` returns false.

  Specified by:
    `toObjectValue` in interface `ValueHandler`
  Overrides:
    `toObjectValue` in class `AbstractValueHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.